openjpa-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From build...@apache.org
Subject svn commit: r995409 - in /websites/staging/openjpa/trunk/content: ./ build-and-runtime-dependencies.html index.html
Date Thu, 18 Aug 2016 15:22:19 GMT
Author: buildbot
Date: Thu Aug 18 15:22:19 2016
New Revision: 995409

Log:
Staging update by buildbot for openjpa

Modified:
    websites/staging/openjpa/trunk/content/   (props changed)
    websites/staging/openjpa/trunk/content/build-and-runtime-dependencies.html
    websites/staging/openjpa/trunk/content/index.html

Propchange: websites/staging/openjpa/trunk/content/
------------------------------------------------------------------------------
--- cms:source-revision (original)
+++ cms:source-revision Thu Aug 18 15:22:19 2016
@@ -1 +1 @@
-1756803
+1756812

Modified: websites/staging/openjpa/trunk/content/build-and-runtime-dependencies.html
==============================================================================
--- websites/staging/openjpa/trunk/content/build-and-runtime-dependencies.html (original)
+++ websites/staging/openjpa/trunk/content/build-and-runtime-dependencies.html Thu Aug 18
15:22:19 2016
@@ -160,7 +160,8 @@ h2:hover > .headerlink, h3:hover > .head
 <p><a name="BuildandRuntimeDependencies-Javaversions"></a></p>
 <h2 id="java-versions">Java versions<a class="headerlink" href="#java-versions"
title="Permanent link">&para;</a></h2>
 <ul>
-<li>OpenJPA trunk (i.e. OpenJPA 2.2.0 currently) and 2.1.x branch require JDK 1.6.</li>
+<li>OpenJPA trunk (i.e. OpenJPA 3.0.0 currently) require JDK 1.7 or later.</li>
+<li>OpenJPA 2.1.x..2.4.x branches require JDK 1.6 or later.</li>
 <li>OpenJPA 2.0.x branch requires JDK 1.6 or 1.5. Note that some functionality that
requires JDK 1.6 will not be available if you choose to build with JDK 1.5.</li>
 <li>Building javadoc from 2.0.x branch or newer requires JDK 1.6.</li>
 <li>OpenJPA 1.3.x, 1.2.x and 1.1.x branches require JDK 1.5.</li>

Modified: websites/staging/openjpa/trunk/content/index.html
==============================================================================
--- websites/staging/openjpa/trunk/content/index.html (original)
+++ websites/staging/openjpa/trunk/content/index.html Thu Aug 18 15:22:19 2016
@@ -168,11 +168,11 @@ frameworks, such as Tomcat and Spring. <
 implementation of the Java Persistence API (JPA) 1.0 part of the <a href="http://jcp.org/en/jsr/detail?id=220">JSR-220
Enterprise Java Beans 3.0</a>
  specification, which pass the Sun JPA 1.0b Technology Compatibility Kit.</p>
 <p>The <a href="downloads.html">2.x releases</a>
- (2.4.0 is the latest) are a production ready, compliant implementation of
+ (2.4.1 is the latest) are a production ready, compliant implementation of
 the <a href="http://jcp.org/en/jsr/detail?id=317">JSR-317 Java Persistence 2.0</a>
  specification, which is backwards compatible to the JPA 1.0 specification
 and passes the Sun JPA 2.0 Technology Compatibility Kit.</p>
-<p>We are already working on a feature branch to implement the JPA-2.1 (JSR-338) specification.</p>
+<p>The 3.x release targetting the <a href="http://jcp.org/en/jsr/detail?id=338">JSR-338
Java Persistence 2.1</a> is currently under development.</p>
 <TABLE border="0" cellpadding="5" cellspacing="0" width="100%">
 <TBODY><TR>
 <TD valign="top" width="10%"></TD>



Mime
View raw message